# H248_StreamMode Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Enumerations { e_sendOnly, e_recvOnly, e_sendRecv, e_inactive, e_loopBack }

## Public Member Functions

| H248_StreamMode (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H248_StreamMode & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_StreamMode::Enumerations

Enumerator:

  e_sendOnly |
  e_recvOnly |
  e_sendRecv |
  e_inactive |
  e_loopBack |

## Constructor & Destructor Documentation

H248_StreamMode::H248_StreamMode | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_StreamMode& H248_StreamMode::operator= | ( | unsigned | v | ) |

PObject* H248_StreamMode::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h